Bug 1565085 - inform or prompt admin to setup password for samba protocol
Summary: inform or prompt admin to setup password for samba protocol
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gluster-colonizer
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Dustin Black
QA Contact: Rahul Hinduja
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-09 11:09 UTC by Nag Pavan Chilakam
Modified: 2019-04-18 09:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-18 09:54:46 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Nag Pavan Chilakam 2018-04-09 11:09:45 UTC
Description of problem:
------------------
we can deploy smb setup with colonizer.
However we are unable to mount the volume as the password is not setup.
We must either inform the user to setup password in the colonizer.README.txt log file(as we give the example of mounting volume as below)
"smbpasswd -a <username>"

or else prompt the user as part of the SMB deployment through colonizer itself

Version-Release number of selected component (if applicable):
---------------------------
colonizer-1.1.2

How reproducible:
----------
always

Steps to Reproduce:
1.deploy smb setup from colonizer
2.once deployed user can't mount the volume using cifs/windows mount as the passwd is not setup yet

Comment 2 Dustin Black 2018-04-11 14:26:35 UTC
I think user management will remain outside the scope of the colonizer. This BZ should probably be address in documentation.

Comment 3 Ramakrishna Reddy Yekulla 2018-04-18 09:43:54 UTC
Raising a requires documentation flag for this.

Comment 12 Yaniv Kaul 2019-04-18 09:54:46 UTC
Closing all Colonizer BZs (as DEFERRED) as we do not intend to work on them for the time being.


Note You need to log in before you can comment on or make changes to this bug.